apiVersion: distro.eks.amazonaws.com/v1alpha1
kind: Release
metadata:
  creationTimestamp: null
  name: kubernetes-1-31-eks-38
spec:
  channel: 1-31
  number: 38
status:
  components:
  - assets:
    - arch:
      - amd64
      - arm64
      description: metrics-server container image
      image:
        imageDigest: sha256:da07e468465e66c3b522313969b79855cc35341d4e5520e69fbbe6c797be1ee3
        uri: public.ecr.aws/eks-distro/kubernetes-sigs/metrics-server:v0.7.2-eks-1-31-16
      name: metrics-server-image
      os: linux
      type: Image
    gitTag: v0.7.2
    name: metrics-server
  - assets:
    - arch:
      - arm64
      archive:
        sha256: 2d01397f866804d8471bc58f0c52755fc569d92ae273d796fb782f4ea4323fab
        sha512: 05803b238e5620106aaa4175074ccd8d5db47a678b3ef2885edd429e89e41cee10c04a750cc2ca88f2162cf9ec4af34f9053c8b04742dca86d68d06d5d432ce0
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/etcd/v3.5.21/etcd-linux-arm64-v3.5.21.tar.gz
      description: etcd tarball for linux/arm64
      name: etcd-linux-arm64-v3.5.21.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: fe2c5c0444bd34772e70f755a41d5661f9707d7d3645b1b699dd84443df633eb
        sha512: e3e563dc9bf8b631e17d4d53cd077ad84eebac4fea5072271524c68a85d4a6f31370f8b93457232d8ce59f64e80bbaa49b98fd8ccc315e99c07df14dfcc54723
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/etcd/v3.5.21/etcd-linux-amd64-v3.5.21.tar.gz
      description: etcd tarball for linux/amd64
      name: etcd-linux-amd64-v3.5.21.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      - arm64
      description: etcd container image
      image:
        imageDigest: sha256:ffcfd5f96a578b09d0482d022538d57d7ef7f69b17aa3c8ccc803232dc8ca354
        uri: public.ecr.aws/eks-distro/etcd-io/etcd:v3.5.21-eks-1-31-38
      name: etcd-image
      os: linux
      type: Image
    gitTag: v3.5.21
    name: etcd
  - assets:
    - arch:
      - amd64
      - arm64
      description: csi-snapshotter container image
      image:
        uri: public.ecr.aws/csi-components/csi-snapshotter:v8.3.0-eksbuild.1
      name: csi-snapshotter-image
      os: linux
      type: Image
    - arch:
      - amd64
      - arm64
      description: snapshot-controller container image
      image:
        uri: public.ecr.aws/csi-components/snapshot-controller:v8.3.0-eksbuild.1
      name: snapshot-controller-image
      os: linux
      type: Image
    gitTag: v8.3.0
    name: external-snapshotter
  - assets:
    - arch:
      - arm64
      archive:
        sha256: 4bddc3c724f4e416097df7f37dba14f451fbeda1621f274bfa50ef2b588c81d0
        sha512: 957a82571f84f11249073666daf1cb3955842b8dac4b940b5cb1855ec0645fb221acff71750f509a9d78bc2f6c722488cfe4b0692c9f86a4362eed283b57f861
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/plugins/v1.7.1/cni-plugins-linux-arm64-v1.7.1.tar.gz
      description: cni-plugins tarball for linux/arm64
      name: cni-plugins-linux-arm64-v1.7.1.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: b86aa7d956d7f4730fa5e2be85242e7598a921e6a20e1ade7274a69687796d73
        sha512: 609b80c51994a5e592c65d3802bccc061212572de7075d22d7d11c2d89d80f6ef00f5a8551fe37b9ff40cba36e0ac59c19946d68262363ae57827fa7ce63b913
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/plugins/v1.7.1/cni-plugins-linux-amd64-v1.7.1.tar.gz
      description: cni-plugins tarball for linux/amd64
      name: cni-plugins-linux-amd64-v1.7.1.tar.gz
      os: linux
      type: Archive
    gitTag: v1.7.1
    name: cni-plugins
  - assets:
    - arch:
      - amd64
      - arm64
      description: livenessprobe container image
      image:
        uri: public.ecr.aws/csi-components/livenessprobe:v2.16.0-eksbuild.4
      name: livenessprobe-image
      os: linux
      type: Image
    gitTag: v2.16.0
    name: livenessprobe
  - assets:
    - arch:
      - amd64
      - arm64
      description: csi-attacher container image
      image:
        uri: public.ecr.aws/csi-components/csi-attacher:v4.9.0-eksbuild.3
      name: csi-attacher-image
      os: linux
      type: Image
    gitTag: v4.9.0
    name: external-attacher
  - assets:
    - arch:
      - amd64
      - arm64
      description: coredns container image
      image:
        imageDigest: sha256:cad4e1a32fb508f04a7d8ae7120a7438207eb51d33d26ef06aa70e8a113dc0ff
        uri: public.ecr.aws/eks-distro/coredns/coredns:v1.12.4-eks-1-31-38
      name: coredns-image
      os: linux
      type: Image
    gitTag: v1.12.4
    name: coredns
  - assets:
    - arch:
      - amd64
      - arm64
      description: csi-resizer container image
      image:
        uri: public.ecr.aws/csi-components/csi-resizer:v1.14.0-eksbuild.3
      name: csi-resizer-image
      os: linux
      type: Image
    gitTag: v1.14.0
    name: external-resizer
  - assets:
    - arch:
      - amd64
      - arm64
      description: csi-node-driver-registrar container image
      image:
        uri: public.ecr.aws/csi-components/csi-node-driver-registrar:v2.14.0-eksbuild.4
      name: csi-node-driver-registrar-image
      os: linux
      type: Image
    gitTag: v2.14.0
    name: node-driver-registrar
  - assets:
    - arch:
      - arm64
      archive:
        sha256: fdf653c15f63adf8089e6fb90610c130b9d6f4b5d3e089fb024776b74d57e61e
        sha512: 152b83970b5f2de016e072aad827b16a3bea6564066b9abf1aa6145ef1c99aa228a9e110d38e64ea26e4c6b95a86acfafa2e23c28cd857bd4b3fe735d9abf408
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-proxy
      description: kube-proxy binary for linux/arm64
      name: bin/linux/arm64/kube-proxy
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: b14d13cc9500120eb6001b6a07b81f1bd325f1ac04445d4a81e5f8b4d8639f80
        sha512: 83f18a3278e49c470e43f3546a3a21acb6eb2121d506c2e6a7d8281031a651c39864d9e15c87f7bbe45ed1960be31e9e9fd0eb0db524f89bef813750c5797dac
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-proxy
      description: kube-proxy binary for linux/amd64
      name: bin/linux/amd64/kube-proxy
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 408cfba813c7b38207c68890ec767d4c392b12cc67bff91c4a45c29f1a7371e8
        sha512: 5ee26e43c7aa4cc9d6a8e2fa6fc2099352397a969fc5851f8f24474a6d7b2da25f4d45ac7980fa451623c09fd65682c48a4b65feabcdd53cd1794b47e90662e9
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/windows/amd64/kube-proxy.exe
      description: kube-proxy binary for windows/amd64
      name: bin/windows/amd64/kube-proxy.exe
      os: windows
      type: Archive
    - arch:
      - amd64
      - arm64
      description: kube-proxy container image
      image:
        imageDigest: sha256:04e93c7feb94623732c6a7cc2dd616c4fcf854c82bb6588f09d49bb5487618f3
        uri: public.ecr.aws/eks-distro/kubernetes/kube-proxy:v1.31.14-eks-1-31-38
      name: kube-proxy-image
      os: linux
      type: Image
    - arch:
      - amd64
      archive:
        sha256: 8bae366293260caa47807549686624efd376085591a26c19d8011ee42a421028
        sha512: 0619b796cf7e8d36cdaa4a2a15a5c53cc644aa3922c05f2a194181ed6459073e9fecb63c6460f47aee5f7beb6a9dd773c131dbbaab5c122703a933755f1b4223
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-proxy.tar
      description: kube-proxy linux/amd64 OCI image tar
      name: bin/linux/amd64/kube-proxy.tar
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: d08c120108564af6cba63aa912eaccda099553683d0872801643185eaa9c8887
        sha512: 9329e83f0d44a58e09a0259a25cd13a0e1142076b33ac8b8beb3127191965b825ad2224ee20ba77c7a03426411ed3e465dbe749bfd6827ca05a026190c38d19e
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-proxy.tar
      description: kube-proxy linux/arm64 OCI image tar
      name: bin/linux/arm64/kube-proxy.tar
      os: linux
      type: Archive
    gitTag: v1.31.14
    name: kube-proxy
  - assets:
    - arch:
      - amd64
      archive:
        sha256: c7ee1a3a14fdb0bcfca95009af21f80d1cf0539bd3ce1cb840e9aa017e096e2b
        sha512: 3db00b78694249ea61af0bc5d98bdada3193f56da52fec164e9e00a2028080e6feb9f65d172fcc6235587cdc1862eb361adb4e388fe0b97d75d805701f53252b
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/aws-iam-authenticator/v0.7.9/aws-iam-authenticator-windows-amd64-v0.7.9.tar.gz
      description: aws-iam-authenticator tarball for windows/amd64
      name: aws-iam-authenticator-windows-amd64-v0.7.9.tar.gz
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 811714aff7e8b2d1a37c13eb4596337a46cae71a96dd28d4710858633c9d8a1f
        sha512: 1c77c145ccc263953e119689b633405e82267926deef9e3e6526ae483488f526a3510df601ba7f30eaebdcdac14942101f155e7dde21be09fb46736436ab69b5
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/aws-iam-authenticator/v0.7.9/aws-iam-authenticator-darwin-amd64-v0.7.9.tar.gz
      description: aws-iam-authenticator tarball for darwin/amd64
      name: aws-iam-authenticator-darwin-amd64-v0.7.9.tar.gz
      os: darwin
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: c55e0435b7f91ed6f540eaf6b39e0ee2fac41667fa7ccbb25d76a745cfe7f910
        sha512: 618ab317c3532814f1ce5f9ca9a5787fe58f1e032dcd5ee793afd7aacd97b09fb51c0aef0e57ad37a1dd28ad737e0c5fd841db7346db3e90f8b9263be931979f
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/aws-iam-authenticator/v0.7.9/aws-iam-authenticator-linux-arm64-v0.7.9.tar.gz
      description: aws-iam-authenticator tarball for linux/arm64
      name: aws-iam-authenticator-linux-arm64-v0.7.9.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 559ee5035cdf5b00162a2300bbe7f43592b8e27ff3e8656c41ab94332b086b1e
        sha512: 02dc1e3c82506b07fc01eeda4e2cb1da81f654068bf8f8e3fd63d87137a46e736418d0e9e2bbf6c32b2b188dda5f05d2621ae3717303cb1ab93496c61968da81
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/aws-iam-authenticator/v0.7.9/aws-iam-authenticator-linux-amd64-v0.7.9.tar.gz
      description: aws-iam-authenticator tarball for linux/amd64
      name: aws-iam-authenticator-linux-amd64-v0.7.9.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      - arm64
      description: aws-iam-authenticator container image
      image:
        imageDigest: sha256:0f27cf58e74d95d7b022bb5d723fdd60598b8143e1275750dad727fb703528ed
        uri: public.ecr.aws/eks-distro/kubernetes-sigs/aws-iam-authenticator:v0.7.9-eks-1-31-38
      name: aws-iam-authenticator-image
      os: linux
      type: Image
    gitTag: v0.7.9
    name: aws-iam-authenticator
  - assets:
    - arch:
      - arm64
      archive:
        sha256: 9d1e01a51451f91b0b195daf0f64082c434c3f98f2b47483d505eeaf9bfd6a03
        sha512: bfa5ff9816f5d95c5ae86719801cb57bf58995e599f644ca370e5fcb3fbcd80f0eee451353a55b552c561fffe4f1c9e55f41b32dee7bdfb28141217d376bfc65
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-client-linux-arm64.tar.gz
      description: Kubernetes client tarball for linux/arm64
      name: kubernetes-client-linux-arm64.tar.gz
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: e8eda0cc44a2fc58ea3f72160e1c91451e6da5ddb266027b16aa91f931661f19
        sha512: 0e7b5db8b35fe265498cf1b0e5d12a057abbd35d77a13bc7ef8c542c70e5284a776cbf2a47dd3a2341d17101ba6df4f6f2bd66e8752bc3a1a1b0ffb2eb6d9638
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-server-linux-arm64.tar.gz
      description: Kubernetes server tarball for linux/arm64
      name: kubernetes-server-linux-arm64.tar.gz
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 51ab0716a03e4470436e4335618f896c7a3e7aa0f4d3a08e1c972200aa9c26df
        sha512: 639e06b02c33f1b0ff4e802cb0b899d4a221132ca3cee8ae9973da1aa5a8cd08f1989b5a8d4c6598744f0d8d5411c09fdfd8437306c798a4db1fe0e1d2f04060
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-node-linux-arm64.tar.gz
      description: Kubernetes node tarball for linux/arm64
      name: kubernetes-node-linux-arm64.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 71e622aa5c9fb54b8479f84fce658d9831c62ab430dfa6362dd382c2e8ed6782
        sha512: 89140314c105ec17872f743647e076851422b001a8f0cc327e6aa8fac9c03c0cd48aa0b7721f79b51220be8ad90822180ed44528bd0014a550630a1c81f59875
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-client-linux-amd64.tar.gz
      description: Kubernetes client tarball for linux/amd64
      name: kubernetes-client-linux-amd64.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 38f2c1d0d98daa21d79e403390602b80633633b4fb4c955df64e8f758f0c2414
        sha512: fc701b700038296d2c795e966542e2f704e3c77957a194be1707152e16f229b98a84570bdac2ee0db3c1649d496a67af4821b05ab2dcd903c6480f5be1213721
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-server-linux-amd64.tar.gz
      description: Kubernetes server tarball for linux/amd64
      name: kubernetes-server-linux-amd64.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 5e328c0372ae73c36864108dd03285bf86e0f013011df0889a19c74eb2a13a73
        sha512: b8a38969e109b48b3beb4647b7343fdd9f3ed197889eb9549d0572adfffd21a6288205e9bba27b566f7c334d33421fb8a7101d24b8ee81152064fb0851488aba
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-node-linux-amd64.tar.gz
      description: Kubernetes node tarball for linux/amd64
      name: kubernetes-node-linux-amd64.tar.gz
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: f435555adced52c3e38e3c79288bc181e6cab0ab3f0e54ef6c1716883b931339
        sha512: 6d78a345a831e399870627009c297b68fd8cce2c378270cfd486ced467d3fe26b16344c9de64f0e74201786b481a3d35a9970e479932fddd7bff2c74e60c5e5c
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-client-windows-amd64.tar.gz
      description: Kubernetes client tarball for windows/amd64
      name: kubernetes-client-windows-amd64.tar.gz
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: a544399a0ad6314ff87a30d428d1d0c5e49d07213e1f71e653d5da0bfc8afbef
        sha512: fc5cd10b30790cf2c6cbb75ddf435fdbde51e8e2e80f07a403d743e7670da5af910f5384e6c83f3e9d47777f3e1959f88d67e0cad70f65a1d1d02f529c6adc15
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-node-windows-amd64.tar.gz
      description: Kubernetes node tarball for windows/amd64
      name: kubernetes-node-windows-amd64.tar.gz
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 61818f09117f0834a599b7ca0253f44cb9f3702a718822bdf60ae256f29c59bb
        sha512: 7a63447fd80f4e748ae149be3086dd9be243bdb7fb291aa78f7964948cb0d68a017e01fa647d93da54c49467e061eddd46942e1c5702f5a75375e06223a50068
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-client-darwin-amd64.tar.gz
      description: Kubernetes client tarball for darwin/amd64
      name: kubernetes-client-darwin-amd64.tar.gz
      os: darwin
      type: Archive
    - arch:
      - amd64
      - arm64
      description: kube-apiserver container image
      image:
        imageDigest: sha256:fb87d69c3f02d2dac2465ec9e24ed1835627163f35e4b54ee8c46ea0e8d8393a
        uri: public.ecr.aws/eks-distro/kubernetes/kube-apiserver:v1.31.14-eks-1-31-38
      name: kube-apiserver-image
      os: linux
      type: Image
    - arch:
      - amd64
      - arm64
      description: kube-controller-manager container image
      image:
        imageDigest: sha256:6566aaaf1894dcc2f8d53142ed33f78026e5f7ffa234c404772ae6da800ab45d
        uri: public.ecr.aws/eks-distro/kubernetes/kube-controller-manager:v1.31.14-eks-1-31-38
      name: kube-controller-manager-image
      os: linux
      type: Image
    - arch:
      - amd64
      - arm64
      description: kube-scheduler container image
      image:
        imageDigest: sha256:53bcfff243c1ac2351f9f689ece2bbc7fa946e984f2537dae2565a4eeac2a1ec
        uri: public.ecr.aws/eks-distro/kubernetes/kube-scheduler:v1.31.14-eks-1-31-38
      name: kube-scheduler-image
      os: linux
      type: Image
    - arch:
      - amd64
      - arm64
      description: pause container image
      image:
        imageDigest: sha256:a93e3a08c94590d738832b144f7550ac8ff4a02089388d58b7291d20e608ec71
        uri: public.ecr.aws/eks-distro/kubernetes/pause:v1.31.14-eks-1-31-38
      name: pause-image
      os: linux
      type: Image
    - arch:
      - arm64
      archive:
        sha256: dbc1fcfce966055b08ca76c7ba177b61ecd49cb3f8e34541dc988da6ee83c18b
        sha512: e22a1e5137e1bbb5f459766f3ab7a98a967aeb548abcab2820939d7242624445675b068be26312dc8dce2d4eeb6bc81824c26836661c33875d3dcc3289daed49
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-apiserver
      description: kube-apiserver binary for linux/arm64
      name: bin/linux/arm64/kube-apiserver
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 804ecacc0ba097ae739331a7f98ccafe34121d6c19a941de8734673e55119b86
        sha512: 867b3e0b1a606e016e05df33a447e760c107645698b67c769fa3f772e90cf54521f5cdb16b6ffd2bec9cb88c7158e1bfb0491bb49eaae6c52f39de3218acf8f1
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-controller-manager
      description: kube-controller-manager binary for linux/arm64
      name: bin/linux/arm64/kube-controller-manager
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 9ff26b05123c568b41483ae5caba615d955248479ee74d3892936a704c5573f3
        sha512: 9648a7be7b72ed617a4a5aa97e8d867c183340d3c2eac3b0d314e93023965df58480bac1468b4172021e0abcdf3cb1c20f03a0d464ed855b81bff4a93fc4b23a
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-scheduler
      description: kube-scheduler binary for linux/arm64
      name: bin/linux/arm64/kube-scheduler
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 8ae5d059bf4875c4ca29f3ff25db7469c8e46c39261a7d0d74d04a576f91ee8b
        sha512: 413e36949873ebe9cf826d294c6e6a7698848627937bc8e036048c31b0de05eaaac58b5c6edf3d8e7e094543b9bb2d254eddf77dcc4a659d4e3912d25e839ff5
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kubectl
      description: kubectl binary for linux/arm64
      name: bin/linux/arm64/kubectl
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 80c9b4c20dbe1f82793c4693c4299abfe3dad64ce021cc513bb4638d8f0b91a2
        sha512: 7c42f1576214bbf0ffa57fa7e09544ce8121a251ead9ff660970626a994414b646fb55934a05489d2aaded990cd3ad4e3536cd77e210f7f4ad6c6f785b5905ce
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kubelet
      description: kubelet binary for linux/arm64
      name: bin/linux/arm64/kubelet
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: c8c17416b807de4a296052e5f1e64459f1df92942f4a8f1e2a2775b8d8dff5f0
        sha512: fd69077826d4574fde8c79f38b6a882218bab6a057d2681d06401d33aa3e59e5fa97f2ea7e8896554203cbbcb7d1853434f54653c717c49961146fc3eacf2d3c
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kubeadm
      description: kubeadm binary for linux/arm64
      name: bin/linux/arm64/kubeadm
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: d78b1ed46c010378906a75a709ae45cda21e5614030a2edd8f85e3f3ff43ca47
        sha512: 1161e8491d0e24eebd4b753e5d17d427a05d3aac7cdbb093853256ae612855c9c121906d8347988714726a47e1e97a3b548bf12b7520c30c08c0ce9e9c377b03
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-apiserver
      description: kube-apiserver binary for linux/amd64
      name: bin/linux/amd64/kube-apiserver
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 8179def4a858b5b3868320a2ca33e091dc58a67f461e38fab5f54b4419eb65d2
        sha512: 40424d3883b7c3439f78e5ad707177331b1dec69f5ebbb6c9721179b37f2e19b4c8b6b70451c8f7daf786b35bbbda1a678277e4488402def7cdcf115c57197dc
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-controller-manager
      description: kube-controller-manager binary for linux/amd64
      name: bin/linux/amd64/kube-controller-manager
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 40fa5037bce5c5feab5d30b243ae37757afba921498be0afad93d58e6fe48314
        sha512: a359d1a77de155cfb8b1488da057063c69cd532190384c71bc967d5856df7fcb3be65cd5ad66882907faef9c9e539bb2657822b569cae57fb15b0246af20f40c
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-scheduler
      description: kube-scheduler binary for linux/amd64
      name: bin/linux/amd64/kube-scheduler
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 0fea583ba10775dd98d37b32463695d61f846e1c582f80ba925b7bc4fbca79d2
        sha512: ce8257ca76af12123516795bfab7f6fe098165f6c004a9225199bfacade61adfb6fcce587d6bda2f8bf77745b37e03d50dd7329d4e022012bf49a9141f309f02
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kubectl
      description: kubectl binary for linux/amd64
      name: bin/linux/amd64/kubectl
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 7457acb86f307bbf6db410d86863c6ddbdfe7e3b6a93a14fb5ad720320921a20
        sha512: fed47fdfda5830ebd8ce57142d57a8a57f2052b862efd28ba135aea4cf3ab24b929accf25b6160a58236d2804460f3c016dbd670659cd2d8c8788c290a943ada
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kubelet
      description: kubelet binary for linux/amd64
      name: bin/linux/amd64/kubelet
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 9372fbb6bfb94e1530a49c305b8781ab5bfb2c0908027976542de9679437995b
        sha512: e63866b9305dabcda7cd1fbdeb095985a7ae80ee28f2266ccfcc94feabc23a1946495a16a47a3422f474eb82c71ceca4069a14067ae13397d1fc0a0a0b872a17
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kubeadm
      description: kubeadm binary for linux/amd64
      name: bin/linux/amd64/kubeadm
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: d4ecd684422babbb57590da6227b12a47b78c46f517a952ceafc6bc41af69c0b
        sha512: 9da39664abd29a733b48e42b2ae7761b64113e5d5e6bf80e35038db2eab572ace943c3998042df3c18807ff583081b95c5004d9b29b28400ddf6d96dd6ce6186
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/windows/amd64/kubeadm.exe
      description: kubeadm.exe binary for windows/amd64
      name: bin/windows/amd64/kubeadm.exe
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: aa3f75dcc30bda58d686ce767347868793d0e3790dd5d83012a3bdf5c9b0b46a
        sha512: fcc28a900ff7bf1d66e65bccb19889f6bef24b57141dc0a45e8ecb778abcc94748f001ed36f7b459ef6faed317b40f4cf1f3e651e222f93b7c7b3bbb8f517306
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/windows/amd64/kubectl.exe
      description: kubectl.exe binary for windows/amd64
      name: bin/windows/amd64/kubectl.exe
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 890a9ff87f3889ae685ac4019f9a4695f61f95a2bc1108fecc9a7f9913ee8899
        sha512: e6ba571bc98fc8c38a01b5d28b185dc1e2caebf1d95512680e4973fb193810a951b43eb2e069d1c846808316e498e425b5bcd8353577c5dab1f664f1bab8978b
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/windows/amd64/kubelet.exe
      description: kubelet.exe binary for windows/amd64
      name: bin/windows/amd64/kubelet.exe
      os: windows
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: f59fb5396a128fe43ccd3216f9874b2147918c1a97d69b95adc41e8d4c01ef41
        sha512: fd5a5d4ffa20c6468d9d3a34f46b1a0d62f34fa4c93adb5801db4148390a1a44ce34bfb466012bc5e19372164a57bfcbffb4e0112fa5420ba4884692fda73bbe
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/darwin/amd64/kubectl
      description: kubectl binary for darwin/amd64
      name: bin/darwin/amd64/kubectl
      os: darwin
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 78da2abee22d1501adce749654c49df24ff14d48a712d2329cf3bed0d5bc8874
        sha512: 49a7c9034e08eaadf888e7d843d31cd98994b89b09922a0b63b6f1a204df73fe0df30233ac84ba6f5cb21eda0c6b339da0d314bf5289aefaede225d5f039ddc2
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-apiserver.tar
      description: kube-apiserver linux/amd64 OCI image tar
      name: bin/linux/amd64/kube-apiserver.tar
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 68db742537ed3fb52442c3d69c776c07100423744ad371ad11d0b6ee3d51ee0e
        sha512: 8acbfbd3f9f9ca0dc8f74271ad70c186996aadfd9d3d2a181e07916d42037d6a2054304abd679362b778cf87735f281bc8c5efd32dedc743a35a09bec9fab651
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-apiserver.tar
      description: kube-apiserver linux/arm64 OCI image tar
      name: bin/linux/arm64/kube-apiserver.tar
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: bfe89355151683454bde1ec6b276ed12be63fab4d67307474e47fdd1d36f86ea
        sha512: aa5d0923d726aaf90df97c50efc5d1daf5513c5ca4dc0b290b10ce235cdab8221d2786d96f8196a39b0e875ca94e4b32d33cf1f0579edc628e8c72eec98bb44d
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-controller-manager.tar
      description: kube-controller-manager linux/amd64 OCI image tar
      name: bin/linux/amd64/kube-controller-manager.tar
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: f77c1bf9b51b0d7a06f4a295427db74cb40adfba77ae72042f01e5b4b2fcf78b
        sha512: 111aee6a63897669fbcf8403dea1e82715f219b113eaedb2afa405a1c7ff5d5a6472839962cb8240a3c06228c75e09122c9d09d6d4b441ef58f2bc98a55dcfdf
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-controller-manager.tar
      description: kube-controller-manager linux/arm64 OCI image tar
      name: bin/linux/arm64/kube-controller-manager.tar
      os: linux
      type: Archive
    - arch:
      - amd64
      archive:
        sha256: 9bbe5147d04b969306e91134f91c1ab38dc8d19d71e8f7e364cbc10d726cb6b1
        sha512: 13215bc3d2243368b6f05d637036608c17c5996e9eb3872cf6e9f8bda0c94a13846181181cee15931eeaa3534bc6e6e69c4ada5b66ebdfe54354b76f1091b3ee
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/amd64/kube-scheduler.tar
      description: kube-scheduler linux/amd64 OCI image tar
      name: bin/linux/amd64/kube-scheduler.tar
      os: linux
      type: Archive
    - arch:
      - arm64
      archive:
        sha256: 4107182534d69adc837c2a508f0cd03d17cb923704e8dc89754431c8718fca69
        sha512: 3556dba4b14e4f2986a18ca719ed6cdf16dce1eeb29947dc1ae3c5e8478562758f0594214befa125e4436ed0af8d3d0128fcf1c1d36bef46a2cbba10f3ae28c1
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/bin/linux/arm64/kube-scheduler.tar
      description: kube-scheduler linux/arm64 OCI image tar
      name: bin/linux/arm64/kube-scheduler.tar
      os: linux
      type: Archive
    - archive:
        sha256: 905f71f334e0bc1b9a4c5fd43dccb7f13fea11ecedb84ad0f72e1b02f354fc05
        sha512: cfd5afe88d7101549845e83980d38077ab902b5b08e341d1387c7dd3b08aa30e4c2b461ed6168205d431807a98c37df50612915b1dcfeaf0c434a1026f33d23f
        uri: https://distro.eks.amazonaws.com/kubernetes-1-31/releases/38/artifacts/kubernetes/v1.31.14/kubernetes-src.tar.gz
      description: Kubernetes source tarball
      name: kubernetes-src.tar.gz
      type: Archive
    gitCommit: 4b55992e464432393ad3c36797563003ce50ee98
    gitTag: v1.31.14
    name: kubernetes
  - assets:
    - arch:
      - amd64
      - arm64
      description: csi-provisioner container image
      image:
        uri: public.ecr.aws/csi-components/csi-provisioner:v5.3.0-eksbuild.3
      name: csi-provisioner-image
      os: linux
      type: Image
    gitTag: v5.3.0
    name: external-provisioner
  date: "2025-12-19T16:51:17Z"

